> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List events

> Lists actions performed by users on your account.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /events
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /events:
    get:
      tags:
        - Events
      summary: List events
      description: |
        Lists actions performed by users on your account.
      operationId: get-events
      parameters:
        - name: filter[author]
          in: query
          required: false
          description: The author ID or email to filter by
          schema:
            type: string
        - name: filter[project]
          in: query
          required: false
          description: The project ID to filter by
          schema:
            type: string
        - name: filter[target_name]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          description: The target type(s) of the event to filter by
        - name: filter[target_id]
          in: query
          required: false
          description: The target id of the event to filter by
          schema:
            type: string
        - name: filter[action]
          in: query
          required: false
          description: The action performed in event to filter by
          schema:
            type: string
        - name: filter[created_at][gte]
          in: query
          required: false
          description: >-
            The created at greater than equal date to filter by, in ISO
            formatting (yyyy-MM-dd'T'HH:mm:ss)
          schema:
            type: string
        - name: filter[created_at][lte]
          in: query
          required: false
          description: >-
            The created at less than equal date to filter by, in ISO formatting
            (yyyy-MM-dd'T'HH:mm:ss)
          schema:
            type: string
        - name: filter[created_at]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          description: >-
            The created at between date range date1, date2 (inclusive) to filter
            by, in ISO formatting (yyyy-MM-dd'T'HH:mm:ss)
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: evt_r0MK4O4kDa95w
                        type: events
                        attributes:
                          created_at: '2026-01-14T15:56:32+00:00'
                          action: user_data.create
                          target:
                            id: ud_QraYDPm5OpjwW
                            name: user_data
                          project:
                            id: proj_Av9BVDavORm1W
                            name: Enormous Rubber Car
                            slug: enormous-rubber-car
                          team:
                            id: team_5EkwwB3BV5Uzo9EpPom8T6Zk6MjG
                            name: 55 Team
                          author:
                            id: user_1P7kNv94QNtKXLZWMe42hNJ5x6V
                            name: Julian Kuvalis
                            email: aleshia@stiedemann.test
                    meta: {}
                ServerDestroy:
                  value:
                    data:
                      - id: evt_8nKmP2qX9LzRy
                        type: events
                        attributes:
                          created_at: '2026-01-07T15:42:15+00:00'
                          action: servers.destroy
                          target:
                            id: sv_RLYV8DZ2D5QoE
                            name: server
                          project:
                            id: proj_6059EqYkOQj8p
                            name: Production Infrastructure
                            slug: production-infrastructure
                          team:
                            id: team_XmP9n3K5wVH2LbjQbx8YDl5oB
                            name: Engineering Team
                          author:
                            id: user_NYNl38rzNzs4KXL96apwU3WJ5oX8
                            name: Jane Smith
                            email: jane.smith@example.com
                          properties:
                            friendly_id: da-23-web-01
                            hostname: da-23-web-01.dal.example.com
                            reason: Server no longer needed
                    meta: {}
                ServerLock:
                  value:
                    data:
                      - id: evt_6pWnQ8sY4MzPx
                        type: events
                        attributes:
                          created_at: '2026-01-07T11:30:22+00:00'
                          action: servers.lock
                          target:
                            id: sv_RLYV8DZ2D5QoE
                            name: server
                          project:
                            id: proj_6059EqYkOQj8p
                            name: Production Infrastructure
                            slug: production-infrastructure
                          team:
                            id: team_XmP9n3K5wVH2LbjQbx8YDl5oB
                            name: Engineering Team
                          author:
                            id: user_NYNl38rzNzs4KXL96apwU3WJ5oX8
                            name: Jane Smith
                            email: jane.smith@example.com
                          properties:
                            friendly_id: da-23-web-01
                            hostname: da-23-web-01.dal.example.com
                    meta: {}
                ServerUnlock:
                  value:
                    data:
                      - id: evt_3vTpN7qM5KzWx
                        type: events
                        attributes:
                          created_at: '2026-01-07T14:28:33+00:00'
                          action: servers.unlock
                          target:
                            id: sv_RLYV8DZ2D5QoE
                            name: server
                          project:
                            id: proj_6059EqYkOQj8p
                            name: Production Infrastructure
                            slug: production-infrastructure
                          team:
                            id: team_XmP9n3K5wVH2LbjQbx8YDl5oB
                            name: Engineering Team
                          author:
                            id: user_NYNl38rzNzs4KXL96apwU3WJ5oX8
                            name: Jane Smith
                            email: jane.smith@example.com
                          properties:
                            friendly_id: da-23-web-01
                            hostname: da-23-web-01.dal.example.com
                    meta: {}
                DeploymentFailed:
                  value:
                    data:
                      - id: evt_9mXpL4rK8NzTv
                        type: events
                        attributes:
                          created_at: '2026-01-07T13:15:42+00:00'
                          action: deployment.failed
                          target:
                            id: sv_RLYV8DZ2D5QoE
                            name: server
                          project:
                            id: proj_6059EqYkOQj8p
                            name: Production Infrastructure
                            slug: production-infrastructure
                          team:
                            id: team_XmP9n3K5wVH2LbjQbx8YDl5oB
                            name: Engineering Team
                          author:
                            id: user_NYNl38rzNzs4KXL96apwU3WJ5oX8
                            name: Jane Smith
                            email: jane.smith@example.com
                          properties:
                            friendly_id: da-23-web-01
                            hostname: da-23-web-01.dal.example.com
                            distro: ubuntu_22_04_x64_lts
                            operating_system: Ubuntu 22.04 LTS
                            region: Dallas
                    meta: {}
                ReinstallFailed:
                  value:
                    data:
                      - id: evt_5kQpN9rX3LzMy
                        type: events
                        attributes:
                          created_at: '2026-01-07T12:05:18+00:00'
                          action: reinstall.failed
                          target:
                            id: sv_RLYV8DZ2D5QoE
                            name: server
                          project:
                            id: proj_6059EqYkOQj8p
                            name: Production Infrastructure
                            slug: production-infrastructure
                          team:
                            id: team_XmP9n3K5wVH2LbjQbx8YDl5oB
                            name: Engineering Team
                          author:
                            id: user_NYNl38rzNzs4KXL96apwU3WJ5oX8
                            name: Jane Smith
                            email: jane.smith@example.com
                          properties:
                            friendly_id: da-23-web-01
                            hostname: da-23-web-01.dal.example.com
                            distro: ubuntu_22_04_x64_lts
                            operating_system: Ubuntu 22.04 LTS
                            region: Dallas
                    meta: {}
                ScheduleDeletion:
                  value:
                    data:
                      - id: evt_7rXpM5tN2KzVw
                        type: events
                        attributes:
                          created_at: '2026-01-07T10:15:08+00:00'
                          action: schedule_deletion.create
                          target:
                            id: sv_RLYV8DZ2D5QoE
                            name: server
                          project:
                            id: proj_6059EqYkOQj8p
                            name: Production Infrastructure
                            slug: production-infrastructure
                          team:
                            id: team_XmP9n3K5wVH2LbjQbx8YDl5oB
                            name: Engineering Team
                          author:
                            id: user_NYNl38rzNzs4KXL96apwU3WJ5oX8
                            name: Jane Smith
                            email: jane.smith@example.com
                          properties:
                            friendly_id: da-23-web-01
                            hostname: da-23-web-01.dal.example.com
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/events'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.events.list(page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Events.List(ctx, operations.GetEventsRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.events.list({});

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    events:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/event_data'
        meta:
          type: object
    event_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - events
        attributes:
          type: object
          properties:
            action:
              type: string
            created_at:
              type: string
            author:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                email:
                  type: string
            project:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
            team:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
            target:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
            properties:
              type: object
              nullable: true
              description: Additional event-specific data
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````